%global debug_package %{nil}

Summary:         X.Org X11 Protocol headers
Name:            xorg-x11-proto-devel
Version:         2023.2
Release:         3%{?dist}
License:         MIT
URL:             https://www.x.org
Source0:         https://www.x.org/pub/individual/proto/xorgproto-%{version}.tar.xz

BuildRequires:   gcc pkgconfig meson

BuildArch:       noarch

%description
This package provieds X.Org X11 Protocol headers for development


%prep
%autosetup -n xorgproto-%{version}

%build
%meson
%meson_build

%install
%meson_install

for i in apple windows trap ; do
    rm -f %{buildroot}%{_includedir}/X11/extensions/*${i}*
    rm -f %{buildroot}%{_datadir}/pkgconfig/*${i}*
done

rm -f %{buildroot}%{_docdir}/*/*.{html,svg}

%files
%doc COPYING-*
%doc *.txt
%dir %{_includedir}/GL
%{_includedir}/GL/*.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/*.h
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/*.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/*.h
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*.h
%{_datadir}/pkgconfig/*.pc
%{_docdir}/xorgproto/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Miaojun Dong <zoedong@tencent.com> - 2023.2-1
- Bump version to 2023.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 22 2022 Shuo Wang <abushwang@tencent.com> - 2022.2-1
- initial build
